<?php
require_once dirname( __FILE__ ) . '/../../src/apiRegion.php';

class CorreoschileRegionModuleFrontController extends ModuleFrontController
{
    public function initContent()
    {
        $this->ajax = true;
        parent::initContent();
    }
    
    public function displayAjax()
    {
        try
        {
            $json = ApiRegion::listarTodasLasRegiones();
            http_response_code(200);
        }
        catch (Exception $e) {
            $json = array(
                'status' => 'error',
                'message' => $this->l($e->getMessage())
            );
            http_response_code(400);
        }
        die(Tools::jsonEncode($json));
    }
}
