<?php
class ApiAnulacion
{
    public static function anularEnvio($numeroEnvio, $codigoAdmision){
        $wsdl = trim(Configuration::get('CORREOSCHILE_WS_ANULACION'));
        if($wsdl !== '' && substr_compare(strtolower($wsdl), '?wsdl', -strlen('?wsdl')) < 0)
        {
            $wsdl .= '?wsdl';
        }
        try
        {
            $client = new SoapClient($wsdl, array('trace' => 1, 'exception' => 0));
            $result = $client->__soapCall('anularEnvio', array(
                'anularEnvio' => array(
                    'usuario' => Configuration::get('CORREOSCHILE_USUARIO_API'),
                    'contrasena' => Configuration::get('CORREOSCHILE_CONTRASENA_API'),
                    'numeroEnvio' => $numeroEnvio,
                    'codigoAdmision' => $codigoAdmision,
                    'clienteRemitente' => Configuration::get('CORREOSCHILE_CODIGOSAP')
                )), null, null);
            return $result->anularEnvioResult;
        }
        catch (SoapFault $e) {
            throw new Exception($e->getMessage(), 0, $e);
        }
        catch (Exception $e) {
            throw new Exception('Ocurrio un error intentando realizar la anulación del pedido.', 0, $e);
        }
    }
}
