<?php

class ApiNormalizacion
{
    public static function normalizarDireccion($direccion, $comuna)
    {
        $wsdl = trim(Configuration::get('CORREOSCHILE_WS_NORMALIZACION'));
        if($wsdl !== '' && substr_compare(strtolower($wsdl), '?wsdl', -strlen('?wsdl')) < 0){
            $wsdl .= '?wsdl';
        }
        try
        {
            $client = new SoapClient($wsdl, array('trace' => 1, 'exception' => 0));
            $result = $client->__soapCall('normalizarDireccion', array(
                'normalizarDireccion' => array(
                    'usuario' => trim(Configuration::get('CORREOSCHILE_USUARIO_API')),
                    'contrasena' => trim(Configuration::get('CORREOSCHILE_CONTRASENA_API')),
                    'id' => '0',
                    'direccion' => trim($direccion),
                    'comuna' => trim($comuna)
                )), null, null);
            
            return $result->normalizarDireccionResult;
        }
        catch (SoapFault $e) {
            throw new Exception($e->getMessage(), 0, $e);
        }
        catch (Exception $e) {
            throw new Exception('Ocurio un errror intentando obtener las dirección normalizada.', 0, $e);
        }
    }
}