<?php

class tblTiempos extends ObjectModel
{
    public $codigoServicio;
    public $comunaDesde;
    public $comunaHasta;
    public $tiempo;

    /**

    * @see ObjectModel::$definition

    */
    public static $definition = array(
        'table'     => 'correoschile_tiemposervicios',
        'multilang' => false,
        'fields'    => array(
            'codigoServicio' 		=>	array('type' => self::TYPE_STRING,  'validate'  => 'isAnything', 'size' => 2, 'required'=>true),
            'comunaDesde'  =>	array('type' => self::TYPE_STRING,  'validate' => 'isAnything', 'size' => 255, 'required'=>true),
            'comunaHasta'        => 	array('type' => self::TYPE_STRING,  'validate' => 'isAnything', 'size' => 255, 'required'=>true),
            'tiempo'    => 	array('type' => self::TYPE_STRING, 'validate' => 'isAnything', 'size' => 255, 'required'=>true)
        ),
    );
    public function __construct($id = null, $id_lang = null, $id_shop = null, Context $context = null)
    {
        parent::__construct($id, $id_lang, $id_shop);
    }
    public static function listarTiemposPorServicio($codigoServicio)
    {
        $sql = 'SELECT codigoServicio, comunaDesde, comunaHasta, tiempo FROM '._DB_PREFIX_.'correoschile_tiemposervicios where codigoServicio ='.$codigoServicio;		
        $result = Db::getInstance()->ExecuteS($sql);
        return $result;
    }
    public static function buscaTiempo($codigoServicio, $comunaDesde, $comunaHasta)
    {
        $sql = 'SELECT codigoServicio, comunaDesde, comunaHasta, tiempo FROM '._DB_PREFIX_.'correoschile_tiemposervicios '
                . ' WHERE (codigoServicio ="'.$codigoServicio.'" AND comunaDesde = "'.$comunaDesde.'" AND comunaHasta = "'.$comunaHasta.'")'
                . ' OR (codigoServicio = "'.$codigoServicio.'" AND comunaDesde = "'.$comunaHasta.'" AND comunaHasta = "'.$comunaDesde.'")';	
        $result = Db::getInstance()->ExecuteS($sql);
        return $result;
    }
}