<div class="panel col-lg-12">  
<table id="table-services" class="table col-lg-6" style="">
    <div class="alert alert-info">
        <p>Panel de envíos, acá podrás :</p>
        <p><b>Generar etiquetas, retiros, manifiesto de forma individual y masiva</b>.</p>
        <p><b>Filtrar los envíos según tus prioridades</b>.</p>
    </div>
</div>
<div class="input-group margin_md">
    <button type="button" id="accion_agregarPedido"  name="accion_agregarPedido" class="btn btn-default" data-toggle="modal" data-target="#">Agregar Pedido</button>
</div>
<br>
<div class="panel col-lg-12">  
  <div class="panel-heading">Administrar Envíos</div>  
    <div class="table clearfix">
    <form id="formEnvioscorreoschile" class="formEnvioscorreoschile" method="post" action="{$link->getAdminLink('envios')|escape:'htmlall':'utf-8'}">    
    {block name="Filtros de envio"}            
    <div class="pull-right margin_md_flex" style="display: flex;">
      <div class="input-group margin_md">
          <label style="font-weight: normal;"><input type="checkbox" id="conRetiro" name="correos_checkbox" value="">&nbsp;Con retiro&nbsp;</label>
          <label style="font-weight: normal;"><input type="checkbox" id="conEtiqueta" name="correos_checkbox" value="">&nbsp;Con etiqueta&nbsp;</label>
      </div>
      <div class="input-group margin_md">
          <input type="text" class="correos_datepicker margin_md" id="correos_horadesde" name="correos_start_date" placeholder="Desde"><span class="input-group-addon"><i class="icon-calendar"></i></span>
          <input type="text" class="correos_datepicker margin_md" id="correos_horahasta" name="correos_end_date" placeholder="Hasta"><span class="input-group-addon"><i class="icon-calendar"></i></span>
      </div>
      <div class="input-group margin_md">
          <button type="submit" id="filterButtoncorreoschile_envios" name="submitFilter" class="btn btn-default"><i class="icon-search"></i>Buscar</button>
      </div>
    </div>
    <div class="margin_md">
      <button type="button" id="resetButtoncorreoschile_envios" name="resetFilter" class="btn btn-warning" style="display:none"><i class="icon-eraser"></i>Reinicializar</button>
    </div>
    {/block}
    {block name='Acciones masivas'}
    <div class="abs-left margin_md" style="display: flex;">
      <div class="input-group margin_md">
      <input type="hidden" name="accion_masiva" id="accion_masiva" value="">
          <select id="opciones_masivas" class="form-control">
            <option id="accionesMasivas" name="bulkoptions" value="accionesMasivas" href="#">Acciones Masivas</a>
            <option id="generarEtiqueta" name="bulkoptions" value="generarEtiqueta" href="#">Generar Etiquetas</a>
            <option id="generarRetiro" name="bulkoptions" value="generarRetiro" href="#">Solicitar Retiro</a>
            <option id="generarManifiesto" name="bulkoptions" value="generarManifiesto" href="#">Generar Manifiesto</a>
            <option id="anularEtiqueta" name="bulkoptions" value="anularEtiqueta" href="#">Anular Etiqueta</a>
            <option id="eliminarPedido" name="bulkoptions" value="eliminarPedido" href="#">Eliminar Pedido</a>
          </select>
      </div>
      <div class="input-group margin_md">
        <button type="button" id="accion_masivaButton"  name="accion_masivaButton" class="btn btn-default" data-toggle="modal" data-target="#">Aplicar</button>          
      </div>
    </div>
    {/block}
    {block name="Tabla envíos"}
      <table id="table-correoschile_envios" class="table correoschile_envios">
      <thead>
        <tr class="nodrag nodrop filter row_hover">    
            <th class="vertical_mid"><input type="checkbox" id="allCheckboxCorreos" name=""><i class="md-checkbox-control"></i></th>
            <th><input type="number" class="form-control filter vertical_mid" name="Filter_idPedido" id="Filter_idPedido" value="" placeholder="ID" style="width:50px !important;"></th>
            <th class="vertical_mid"><span class="title_box">Nombre</span></th>
            <th class="vertical_mid"><span class="title_box">Fecha</span></th>
            <th class="vertical_mid"><span class="title_box">Servicio</span></th>
            <th class="vertical_mid"><span class="title_box">Total</span></th>
            <th style="width: 10%;">
            <select id="Filter_estado">
            <option value="" selected="selected">-</option>
            {foreach $estados as $estado}
              <option value={$estado.id_order_state}>{$estado.name}</option>
            {/foreach}
            </select>
            </th>
            <th><input type="number" class="form-control filter" name="Filter_numeroEnvio" id="Filter_numeroEnvio" value="" placeholder="N° Envío"></th>
            <th class="vertical_mid"><span class="title_box">Retiro</span></th>
            <th class="vertical_mid"><span class="title_box">Error</span></th>
        </tr>
      </thead>
      <tbody id="envios_correos">
      {assign  var=currency  value=Context::getContext()->currency}
      {assign  var=ext  value='pdf'}
      {foreach $envios as $envio}
        {if $envio.formatoEtiqueta == 'ZPL'}{assign  var=ext  value='txt'}{/if}
          <tr id="order_{$envio.idPedido}" class=" odd" data-id="{$envio.idPedido}">
            <td><label><input type="checkbox" class="correosCheck" id="checkboxCorreos_{$envio.idPedido}" value="{$envio.idPedido}"><i class="md-checkbox-control"></i></label></td>
            <td>{$envio.idPedido}</td>
            <td id="linkupdate" class="user_info customer_orders_{$envio.id_customer}" data-toggle="modal" data-target="#editar_usuarioModal" data-id="{$envio.idPedido}"><a href="#"><strong>{$envio.firstname}&nbsp;{$envio.lastname}</strong></a></td>
            <td>{$envio.fechaCreacion}</td>
            <td>{$servicios[$envio.codigoServicio].desc}{if $envio.nombreSucursal !== ''} ({$envio.nombreSucursal}){/if}</td>
            <td>{Tools::displayPrice($envio.total_shipping,$currency)}</td>
            <td>{$envio.name}</td>
            <td id="link_{$envio.idPedido}">{if $envio.numeroEnvio == ''}-{else}<a href="{$base_url}upload/correoschile/etiquetas/{$envio.numeroEnvio}.{$ext}" target="blank"><strong>{$envio.numeroEnvio}</strong></a>{/if}</td>
            <td id="retiro_{$envio.idPedido}"><p id="msg_retiro_{$envio.idPedido}">{$envio.fechaRetiro}&nbsp;{$envio.horaRetiroDesde}-{$envio.horaRetiroHasta}</p></td>
            <td id="error_{$envio.idPedido}"><p id="msg_error_{$envio.idPedido}">{$envio.error}</p></td>
          </tr>
      {/foreach}
      </tbody>
      </table>
    {/block}
    {block name="Modal processbar etiquetas"}
    <div class="modal fade" id="etiquetaModal" tabindex="-1" role="dialog" aria-labelledby="etiquetaModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <div class="alert alert-info">
                  <p><b>NOTA: </b>Solo los envíos con estado <b>"Preparación en curso" y no tengan etiqueta serán considerados.</b></p>
              </div>
            </div>
            <div class="modal-body">
               <table>
                <tr>
                  <div class="progress">
                    <div id="progressBar" class="progress-bar progress-bar-striped bg-info progress-bar-animated progress_bar" role="progressbar" style="width: 0%">0%</div>
                  </div>
                </tr>
                <tr>
                  <div class="margin_md pl">
                    <p>Etiqueta </p><p id='correosLabel'></p>
                  </div>
                </tr>
                <tr>
                </tr>     
              </table>
            </div>
            <div class="modal-footer">
              <button type="button" id="cancelarEtiquetas" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
            </div>
          </div>
        </div>
      </div>
      {/block}
      {block name="Modal confirma etiquetas"}
      <div class="modal" id="confirma_etiquetaModal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h3 class="modal-title">Confirmar generación de etiquetas</h3>
            </div>
            <div class="modal-body">
              <div class="alert alert-info">
                <p><b>NOTA: </b>Sólo los envíos con estado <b>"Preparación en curso" y no tengan etiqueta serán considerados.</b></p>
              </div>
                <p><strong>¿Desea crear etiquetas para los envíos seccionados?</strong></p>
            </div>
            <div class="modal-footer">
              <button type="button" id="confirmarEtiquetas" class="btn btn-primary" data-dismiss="modal">Confirmar</button>
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
            </div>
          </div>
        </div>
      </div>
      {/block}
      {block name="Modal error etiquetas"}
      <div class="modal" id="error_etiquetaModal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h3 class="modal-title">Error al generar etiquetas</h3>
            </div>
            <div class="modal-body">
              <div class="alert alert-danger">
                <p id="error_etiquetaMensaje"></p>
              </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-primary" data-dismiss="modal">OK</button>
            </div>
          </div>
        </div>
      </div>
      {/block}
      {block name="Modal anular etiquetas"}
        <div class="modal" id="confirma_anularModal" tabindex="-1" role="dialog">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h3 class="modal-title">Confirmar anulación de etiquetas</h3>
              </div>
              <div class="modal-body">
                <div class="alert alert-info">
                  <p><b>NOTA: </b>Al confirmar el proceso de anulación para los pedidos seleccionados se anulará y eliminará la etiqueta correspondiente</p>
                </div>
                  <p><strong>¿Desea anular las etiquetas generadas para los pedidos seleccionados?</strong></p>
              </div>
              <div class="modal-footer">
                <button type="button" id="confirmarAnulacion" class="btn btn-primary" data-dismiss="modal">Confirmar</button>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
              </div>
            </div>
          </div>
        </div>
      {/block}
      {block name="Modal eliminar pedidos"}
        <div class="modal" id="confirma_eliminarModal" tabindex="-1" role="dialog">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h3 class="modal-title">Confirmar eliminacion de pedidos</h3>
              </div>
              <div class="modal-body">
                <div class="alert alert-info">
                  <p><b>NOTA: </b>Al confirmar el proceso de eliminación de los pedidos seleccionados se eliminará toda información del pedido y la etiqueta correspondiente</p>
                </div>
                  <p><strong>¿Desea eliminar los pedidos seleccionados?</strong></p>
              </div>
              <div class="modal-footer">
                <button type="button" id="confirmarEliminacion" class="btn btn-primary" data-dismiss="modal">Confirmar</button>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
              </div>
            </div>
          </div>
        </div>
      {/block}
      {block name="Modal checkbox"}
      <div class="modal" id="valida_checkboxModal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h4 class="modal-title">Error</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <p>No se han seleccionado envíos, debes seleccionar al menos 1 para proceder.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
            </div>
          </div>
        </div>
      </div>
      {/block}
      {block name="Modal retiros"}
      <div class="modal fade" id="retiroModal" tabindex="-1" role="dialog" aria-labelledby="retiroModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <div class="alert alert-info">
                  <p>Solicita tus retiros :</p>
                  <p>Selecciona una fecha y hora para tus retiros.</p>
                  <p><b>Considere agendar los retiros con al menos 2 horas de anticipación</b></p>
              </div>
            </div>
            <div class="modal-body">
               <table>
                <tr>
                  <td><strong>Fecha</strong></td>
                  <td>
                  <div class="margin_md pl">
                    <input type="text" id="fecharetiro" class="form-control" data-toggle="datepicker" maxlenght="10" value="" autocomplete="off">
                  </div>
                  </td>
                </tr>
                <tr>
                <td><strong>Horario</strong></td>
                  <td>
                  <div class="margin_md pl">
                    <input id="mañana" class="horario" type="radio" name="horario" checked value="mañana"><label>Mañana (09:00 hrs - 13:00 hrs)</label>
                    <br>
                    <input id="tarde" class="horario" type="radio" name="horario" value="tarde"><label>Tarde (15:00 hrs - 17:30 hrs)</label>
                  </div>
                  </td>
                </tr>     
              </table>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
              <button type="button" id="solicitarRetiro" class="btn btn-primary">Solicitar</button>
            </div>
          </div>
        </div>
      </div>
      {/block}
      {block name="Modal confirma retiros"}
      <div class="modal" id="confirma_retiroModal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h3 class="modal-title">Confirmar la solicitud de retiro</h3>
            </div>
            <div class="modal-body">
              <div class="alert alert-info">
                <p><b>NOTA: </b>Sólo los envíos con estado <b>"Preparación en curso" con etiqueta y sin fecha de retiro serán considerados.</b></p>
              </div>
              <p><strong>¿Desea solicitar el retiro para los envios seccionados?</strong></p>
            </div>
            <div class="modal-footer">
              <button type="button" id="confirmarRetiro" class="btn btn-primary" data-dismiss="modal">Confirmar</button>
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
            </div>
          </div>
        </div>
      </div>
      {/block}
      {block name="Modal processbar retiros"}
      <div class="modal fade" id="bar_retiroModal" tabindex="-1" role="dialog" aria-labelledby="bar_retiroModalLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h3>Solicitando retiros</h3>
              </div>
              <div class="modal-body">
                <table>
                  <tr>
                    <div class="progress">
                      <div id="progressBarRetiro" class="progress-bar progress-bar-striped bg-info progress-bar-animated progress_bar" role="progressbar" style="width: 0%">0%</div>
                    </div>
                  </tr>
                  <tr>
                  </tr>     
                </table>
              </div>
              <div class="modal-footer">
                <button type="button" id="bar_cancelarRetiro" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
              </div>
            </div>
          </div>
        </div>
      {/block}
      {block name="Modal confirma manifiestos"}
        <div class="modal" id="confirma_manifiestoModal" tabindex="-1" role="dialog">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h3 class="modal-title">Confirmar generación de manifiesto</h3>
              </div>
              <div class="modal-body">
                <div class="alert alert-info">
                  <p><b>NOTA: </b>Sólo los envíos con estado <b>"Preparación en curso" y tengan etiqueta serán considerados</b></p>
                </div>
                  <p><strong>¿Desea generar el manifiesto para los envíos seccionados?</strong></p>
              </div>
              <div class="modal-footer">
                <button type="button" id="confirmarManifiesto" class="btn btn-primary" data-dismiss="modal">Confirmar</button>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
              </div>
            </div>
          </div>
        </div>
        {/block}
        {block name="Modal processbar manifiesto"}
        <div class="modal fade" id="bar_manifiestoModal" tabindex="-1" role="dialog" aria-labelledby="bar_manifiestoModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h3>Generando manifiesto</h3>
                  <div class="alert alert-info">
                    <p><b>NOTA: </b>Solo los envíos con estado <b>"Preparación en curso" y tengan etiqueta serán considerados</b></p>
                </div>
                </div>
                <div class="modal-body">
                  <table>
                    <tr>
                      <div class="progress">
                        <div id="progressBarManifiesto" class="progress-bar progress-bar-striped bg-info progress-bar-animated progress_bar" role="progressbar" style="width: 0%">0%</div>
                      </div>
                    </tr>
                    <tr>
                      <div class="margin_md pl">
                        <strong><a id="bar_abrirManifiesto" target="blank" disabled>Ver manifiesto</a></strong>
                      </div>
                    </tr>
                    <tr>
                    </tr>     
                  </table>
                </div>
                <div class="modal-footer">
                  <button type="button" id="bar_cerrarManifiesto" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                </div>
              </div>
            </div>
          </div>
        {/block}
        {block name="Modal spinner"}
        <div class="modal fade" id="spinnerModal" tabindex="-1" role="dialog" aria-labelledby="spinnerModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header"><h3 id="spinner_msg"></h3></div>
                  <div id="spinnerModalBody" class="modal-body">
                    <div id="spinnerLoad" class="loader"></div> 
                    <div id="alert_spinnerModal" style="display:none;" class="alert alert-success" role="alert"><strong><i class="fa fa-info-circle" aria-hidden="true"></i></strong></div>
                  </div>
              </div>
            </div>
        </div>
        {/block}
        {block name="Modal modifica usuario"}
        <div class="modal fade" id="editar_usuarioModal" tabindex="-1" role="dialog" aria-labelledby="editar_usuarioModalLabel" aria-hidden="true" data-backdrop="static">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h3 class="modal-title" id="editar_usuarioModalLabel">Información de envío N°<span id="nroPedido"></span></h3>
              </div>
              <div id="alert_modificaUsuario" style="display:none;" class="alert alert-success" role="alert"><strong><i class="fa fa-info-circle" aria-hidden="true"></i></strong></div>
              <div class="modal-body">
                <div id="spinnerUsuarioModal" class="modal-body" style="display:none;">
                  <div id="spinnerLoadUsuarioModal" class="loader"></div> 
                </div>
              <form id="form_modificar_usuario">
                <div class="form-row">
                  <div class="form-group col-md-4">
                    <label for="nombre_cliente">Nombre</label>
                    <input type="text" class="form-control" id="nombre_cliente">
                  </div>
                  <div class="form-group col-md-4">
                    <label for="apellido_cliente">Apellido</label>
                    <input type="text" class="form-control" id="apellido_cliente">
                  </div>
                  <div class="form-group col-md-4">
                    <label for="tel_cliente">Teléfono</label>
                    <input type="text" class="form-control" id="tel_cliente" minlength="8" maxlength="20">
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group col-md-12">
                    <label for="dir_cliente">Método de envío</label><br>
                    {foreach $servicios as $codigoServicio => $servicio}
                      {if $servicio.sucursal == true}
                        <input class="form-check-input" type="radio" name="servicio_cliente" id="servicio_{$codigoServicio}_s1" value={$codigoServicio}>
                      {else}
                        <input class="form-check-input" type="radio" name="servicio_cliente" id="servicio_{$codigoServicio}_s0" value={$codigoServicio}>
                      {/if}
                      <label class="form-check-label" for="servicio{$codigoServicio}">{$servicio.desc}</label><br>
                    {/foreach}
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group col-md-6">
                    <label for="dir_cliente">Dirección</label>
                    <input type="text" class="form-control" id="dir_cliente">
                  </div>
                  <div class="form-group col-md-6">
                    <label for="dir_cliente_2">Dirección complementaria (Opcional)</label>
                    <input type="text" class="form-control" id="dir_cliente_2">
                  </div>
                </div>
                <div id="selector_sucursal" class="form-row">
                  <div class="form-group col-md-12">
                    <label for="lista_sucursal">Sucursal</label>
                      <select id="lista_sucursal" class="form-control">
                        <option value="0">Seleccione sucursal...</option>
                      </select>
                  </div>
                </div>   
                <div id="form-comuna-cp" class="form-row">
                  <div class="form-group col-md-4">
                    <label for="comprobarDireccion"></label>
                    <button type="button" id="comprobarDireccion" class="btn btn-link form-control">Validar dirección</button>
                  </div>
                  <div class="form-group col-md-4">
                    <label for="lista_comunas">Comuna</label>
                      <select id="lista_comunas" class="form-control">
                        <option value="0">Seleccione comuna...</option>
                      </select>
                  </div>
                  <div class="form-group col-md-4">
                    <label for="postal_cliente">Código postal</label>
                    <input type="text" class="form-control" id="postal_cliente">
                  </div>
                </div>
                <div class="form-group">
                  <label class="pull-right" for="comentario_adicional">Comentarios para uso interno de Correos de Chile</label>
                  <textarea class="form-control" id="comentario_adicional" placeholder="Ingrese aquí información de su pedido y Nro de factura o guía de despacho"></textarea>
                </div>
              </form>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                <button type="button" id="actualizarDatos" class="btn btn-primary">Actualizar</button>
              </div>
            </div>
            <input type="hidden" id="id_order_cliente" value="">
            <input type="hidden" id="id_customer_cliente" value="">
          </div>
        </div>
        {/block}
        {block name="Modal spinner"}
        <div class="modal fade" id="agregar_spinnerModal" tabindex="-1" role="dialog" aria-labelledby="spinnerModalLabel" aria-hidden="true" data-backdrop="static">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header"><h3 id="agregar_spinner_msg"></h3></div>
                  <div id="agregar_spinnerModalBody" class="modal-body">
                    <div id="agregar_spinnerLoad" class="loader"></div> 
                    <div id="agregar_alert_spinnerModal" style="display:none;" class="alert alert-success" role="alert"><strong><i class="fa fa-info-circle" aria-hidden="true"></i></strong></div>
                    <button type="button" id="agregar_button_spinnerModal" class="btn btn-primary">Continuar</button>
                  </div>
              </div>
            </div>
        </div>
        {/block}
        {block name="Modal agregar pedidos"}
        <div class="modal fade" id="agregar_pedidoModal" tabindex="-1" role="dialog" aria-labelledby="agregar_pedidoModalLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h3 class="modal-title" id="agregar_pedidoModalLabel">Agregar pedidos<span id="nroPedido"></span></h3>
              </div>
              <div id="alert_agregarPedido" style="display:none;" class="alert alert-success" role="alert"><strong><i class="fa fa-info-circle" aria-hidden="true"></i></strong></div>
              <div class="modal-body">
              <div class="alert alert-info">
                <p>Ingresa el numero de los pedidos que desees </p>
                <p><b>Los pedidos ingresados se agregarán al administrador de envíos y podrás utilizar los servicios de Correos de Chile.</b></p>
                <p><b>Deben estar separados por comma </b>(28,29,30).</p>
                <p><b>Al seleccionar el cambio de transportista el pedido cambiará su método de envío y será retarificado.</b></p>
              </div>
              <form id="form_agregar_pedidos" style="display: grid;" autocomplete="off">
                <div class="form-row">
                  <div class="form-group col-md-12">
                    <label for="numero_pedido">Numero de pedido</label>
                    <input type="text" class="form-control" id="numero_pedido">
                  </div>
                  <div class="form-group col-md-12">
                    <label style="font-weight: normal;" for="cambiar_metodo"><input type="checkbox" id="cambiarTransportista" name="correos_checkbox" value=""> &nbsp; Cambiar transportista (Correos de Chile) &nbsp;</label><br>
                  </div>
                </div>
              </form>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                <button type="button" id="agregarPedido" class="btn btn-primary">Agregar</button>
              </div>
            </div>
          </div>
        </div>
        {/block}
      </form>
    </div>
  </div>
  {assign var="correoschileurl" value=_MODULE_DIR_|cat:'correoschile/'}
  {assign var="etiquetasurl" value= $base_url|cat:'upload/correoschile/etiquetas/'}
  {assign var="manifiestosurl" value= $base_url|cat:'upload/correoschile/manifiestos/'}
  <input type="hidden" id="correoschileurl" name="correoschileurl" value="{$correoschileurl}">
  <input type="hidden" id="etiquetasurl" name="etiquetasurl" value="{$etiquetasurl}">
  <input type="hidden" id="manifiestosurl" name="manifiestosurl" value="{$manifiestosurl}">
</div>

<script>
  var correoschile_comunas = {$jsonComunas};
  var correoschile_sucursales = {$jsonSucursales};
</script>