﻿<script type="text/javascript">

    function clickAndDisable(link) {
        link.onclick = function(event) {
            event.preventDefault();
        }
    }   
</script>

<div class="panel col-lg-12">
<div class="panel-heading">Configuración de Servicios</div>
<form id="form_service" action="{$link->getAdminLink('servicios')|escape:'htmlall':'utf-8'}" method="post" class="form-horizontal">
    <div class="table-responsive-row clearfix">
        <table id="table-services" class="table col-lg-6" style="">
        <div class="alert alert-info">
            <p>Configura los servicios de Correos de Chile disponibles: </p>
            <p><b>Estado de Servicios:</b> Activa o deshabilita el servicio asociado,<b> debe haber al menos uno disponible</b>.</p>
            <p><b>Servicio Predeterminado:</b> Selecciona el servicio que estará seleccionado por defecto<b> (*)</b>.</p>
        </div>
        <thead>
            <tr class="filter">
                <th><span class="title_box">ID</span></th>
                <th><span class="title_box">Nombre</span></th>
                <th class="center"><span class="title_box">Estado de Servicio</span></th>
                <th class="center"><span class="title_box">Servicio predeterminado</span></th>
                <th class="center"><span class="title_box">Requiere sucursal</span></th>
                <th class="center"><span class="title_box">Tiempo Predeterminado</span></th>
            </tr>
        </thead>
        <tbody>
        {foreach $servicios as $servicio}
        <tr id="tr_{$servicio.codigoServicio}">
        <td class="pointer">{$servicio.codigoServicio}</td>
        <td class="pointer">{$servicio.descripcion}</td>
            {if $servicio.estaDisponible == true}
                <td class="pointer center">																				
                    <a class="list-action-enable action-enabled" onclick="clickAndDisable(this);" href="{$link->getAdminLink('servicios', true, [], ['estaDisponible' => {$servicio.estaDisponible}|intval, 'codigoServicio' => $servicio.codigoServicio])|escape:'html':'UTF-8'}" title="Activo">
                        <i class="icon-check"></i>
                        <i class="icon-remove hidden"></i>
                    </a>
                </td>
            {else}
                <td class="pointer center">																															
                    <a class="list-action-enable action-disabled" onclick="clickAndDisable(this);" href="{$link->getAdminLink('servicios', true, [], ['estaDisponible' => {$servicio.estaDisponible}|intval, 'codigoServicio' => $servicio.codigoServicio])|escape:'html':'UTF-8'}" title="Inactivo">
                        <i class="icon-check hidden"></i>
                        <i class="icon-remove"></i>
                    </a>
                </td>
            {/if}
            {if $servicio.esPredeterminado == true}
                <td class="pointer center">																					
                    <a class="list-action-enable action-enabled" onclick="clickAndDisable(this);" href="{$link->getAdminLink('servicios', true, [], ['esPredeterminado' => {$servicio.esPredeterminado}|intval, 'codigoServicio' => $servicio.codigoServicio])|escape:'html':'UTF-8'}" title="Predeterminado">
                    <i class="icon-check"></i>
                    <i class="icon-remove hidden"></i>
                    </a>
                </td>
            {else}
                <td class="pointer center">																															
                    <a class="list-action-enable action-disabled" onclick="clickAndDisable(this);" href="{$link->getAdminLink('servicios', true, [], ['esPredeterminado' => {$servicio.esPredeterminado}|intval, 'codigoServicio' => $servicio.codigoServicio])|escape:'html':'UTF-8'}" title="">
                        <i class="icon-check hidden"></i>
                        <i class="icon-remove"></i>
                    </a>
                </td>
            {/if}
            {if $servicio.esSucursal == true}
                <td class="pointer center">																					
                    <span>Si</span>
                </td>
            {else}
                <td class="pointer center">																															
                    <span>No</span>
                </td>
            {/if}
            <td class="pointer">																															
                <span>{$servicio.tiempoPredeterminado}</span>
            </td>
        </tr>
        {/foreach}
        </tbody>
        </table> 
    </div>
</form>
<input type="hidden" name="token" value="{$smarty.get.token}">
</div>
