<?php
require_once dirname( __FILE__ ) . '/../../src/apiNormalizacion.php';

class CorreoschileNormalizacionModuleFrontController extends ModuleFrontController
{
    public function initContent()
    {
        $this->ajax = true;
        parent::initContent();
    }
    
    public function displayAjax()
    {
        try
        {
            $direccion = Tools::getValue('direccion');
            $direccion = str_replace(',', '.', $direccion);
            $comuna = Tools::getValue('comuna');
            $json = ApiNormalizacion::normalizarDireccion($direccion, $comuna);
            http_response_code(200);
        }
        catch (Exception $e) 
        {
            $json = array(
                'status' => 'error',
                'message' => 'La dirección no es válida, no ha superado el proceso de normalización.'
            );
            http_response_code(400);
        }
        die(Tools::jsonEncode($json));
    }
}
