$(document).ready(function () {

    $( "#fecharetiro" ).datepicker({ dateFormat: 'yy-mm-dd' });
    $( "#correos_horahasta" ).datepicker({ dateFormat: 'yy-mm-dd', });
    $( "#correos_horadesde" ).datepicker({ dateFormat: 'yy-mm-dd', });
    $( "#correos_horahasta").datepicker().datepicker("setDate", new Date());
    $( "#correos_horadesde").datepicker().datepicker("setDate", new Date());
    $(".correos_datepicker" ).datepicker();

    var correoschile_url = $("#correoschileurl").val();
    var etiquetasurl = $("#etiquetasurl").val();
    var manifiestosurl = $("#manifiestosurl").val();      

    $('#filterButtoncorreoschile_envios').click(function() {
        $.ajax({
            url: correoschile_url+'ajax.php',
            data:{
                action:'postProcess',
                token: token,
                numeroEnvio:$('#Filter_numeroEnvio').val(),
                idPedido:$('#Filter_idPedido').val(),
                estado:$('#Filter_estado').val(),
                hora_desde:$('#correos_horadesde').val(),
                hora_hasta:$('#correos_horahasta').val(),
                conRetiro:$('#conRetiro').val(),
                conEtiqueta:$('#conEtiqueta').val(),
            },
            method:'POST',
            success:function(data) {
                $('#envios_correos').html(data);
                $('#resetButtoncorreoschile_envios').show();   
            }
        });
    });
    $('#resetButtoncorreoschile_envios').click(function() {
        $.ajax({
            url: correoschile_url+'ajax.php',
            data:{
                action:'postProcess',
                token: token,
                reset:'reset',
                numeroEnvio:'',
                idPedido:'',
                estado:'',
                hora_desde:'',
                hora_hasta:'',
                conRetiro:'',
                conEtiqueta:'',     
            },
            method:'POST',
            success:function(data) {
                $('#envios_correos').html(data);
                $('#resetButtoncorreoschile_envios').hide();
                $('#formEnvioscorreoschile').trigger("reset");
            }
        });
    }); 
    
    $('#accion_masivaButton').on('click', function(e) {  
        var check = [];
        var bulkopcion = $("#opciones_masivas").val();
        $('.correosCheck:checked').each(function(n){ check[n] = $(this).val(); }); 
            if(bulkopcion === 'generarEtiqueta'){   
                if(check.length === 0){ $('#valida_checkboxModal').modal("show"); } else { $('#confirma_etiquetaModal').modal("show"); } }
            if(bulkopcion === 'generarRetiro'){
                if(check.length === 0){ $('#valida_checkboxModal').modal("show"); } else { $('#confirma_retiroModal').modal("show"); } }
            if(bulkopcion === 'generarManifiesto'){
                if(check.length === 0){ $('#valida_checkboxModal').modal("show"); } else { $('#confirma_manifiestoModal').modal("show"); } }
            if(bulkopcion === 'anularEtiqueta'){
                if(check.length === 0){ $('#valida_checkboxModal').modal("show"); } else { $('#confirma_anularModal').modal("show"); } }
            if(bulkopcion === 'eliminarPedido'){
                if(check.length === 0){ $('#valida_checkboxModal').modal("show"); } else { $('#confirma_eliminarModal').modal("show"); } }    
    });
    $('#confirmarAnulacion').on('click', function(){
        var check = [];
        $('.correosCheck:checked').each(function(n){ check[n] = $(this).val(); }); 
        $('#spinnerModal').modal('show');
        $('#alert_spinnerModal').hide();
        $('#spinner_msg').html('Anulando etiqueta...');
        $('#spinnerLoad').show();
        setTimeout(function(){
            for(var i=0; i<check.length; i++){
                $.ajax({
                    url: correoschile_url+'ajax.php',
                    data:{
                        option: "anularEtiqueta",
                        orderid: check[i]
                    },
                    dataType: 'json',
                    type:'POST',
                    beforeSend:function(){                
                        $('#alert_spinnerModal').hide();
                    },
                    complete:function(){
                        $('#spinnerLoad').hide();
                    },
                    success:function(data) {
                        $('#link_'+check[i]).empty().html('-');
                        $('#retiro_'+check[i]).empty().html('-');
                        $('#msg_error_'+check[i]).empty();
                        $('#alert_spinnerModal').addClass('alert-success').removeClass('alert-danger').html(data.message).show();
                    },
                    error: function(xhr){
                        $('#msg_error_'+check[i]).empty().html('-');
                        if (xhr && xhr.responseJSON && xhr.responseJSON.message){
                            $('#msg_error_'+check[i]).text(xhr.responseJSON.message);
                            $('#alert_spinnerModal').addClass('alert-danger').removeClass('alert-success').html(xhr.responseJSON.message).show();
                        } else {
                            $('#msg_error_'+check[i]).html('Ocurrió un error durante la anulación');
                            $('#alert_spinnerModal').addClass('alert-danger').removeClass('alert-success').html('Ocurrió un error durante la anulación').show();
                        }
                    },
                    async: false
                });
            }
        },400);
    });
    $('#confirmarEliminacion').on('click', function(){
        var check = [];
        $('.correosCheck:checked').each(function(n){ check[n] = $(this).val(); });
        $('#spinnerModal').modal('show');
        $('#alert_spinnerModal').hide();
        $('#spinner_msg').html('Eliminando pedido...');
        $('#spinnerLoad').show();
        setTimeout(function(){
            for(var i=0; i<check.length; i++){
                $.ajax({
                    url: correoschile_url+'ajax.php',
                    data:{
                        option: "eliminarPedido",
                        orderid: check[i]
                    },
                    dataType: 'json',
                    type:'POST',
                    beforeSend:function(){
                        $('#alert_spinnerModal').hide();
                    },
                    complete:function(){
                        $('#spinnerLoad').hide();
                    },
                    success:function(data) {
                        $('#order_'+check[i]).remove();
                        $('#alert_spinnerModal').addClass('alert-success').removeClass('alert-danger').html(data.message).show();
                    },
                    error: function(xhr){
                        $('#msg_error_'+check[i]).empty().html('-');
                        if (xhr && xhr.responseJSON && xhr.responseJSON.message){
                            $('#msg_error_'+check[i]).text(xhr.responseJSON.message);
                            $('#alert_spinnerModal').addClass('alert-danger').removeClass('alert-success').html(xhr.responseJSON.message).show();
                        } else {
                            $('#msg_error_'+check[i]).html('Ocurrió un error durante la eliminación');
                            $('#alert_spinnerModal').addClass('alert-danger').removeClass('alert-success').html('Ocurrió un error durante la eliminación').show();
                        }
                    },
                    async: false
                });
            }
        },400);
    });
    $('#confirmarEtiquetas').on('click', function(){
        var check = [];
        $('.correosCheck:checked').each(function(n){ check[n] = $(this).val(); }); 
        $('.progress_bar').css('width', 0+'%').html(0+'%');
        $('#etiquetaModal').modal("show"); 
        setTimeout(function(){
            for(var i=0; i<check.length; i++){
                var form = new FormData();
                form.append("option","generarEtiqueta");
                form.append("orderid", check[i]);
                $.ajax({
                    type:'POST',
                    url: correoschile_url+'ajax.php',
                    processData: false,
                    contentType: false,
                    data: form,
                    beforeSend: function(){
                        if(i==0){
                            a=1; 
                            $('#correosLabel').html('<span id="count">'+i+' de '+check.length+'</span>');
                        }else{a++;}
                    },
                    success: function(response){
                        var percent = Math.round((a/check.length)*100);
                        var nroEnvio = response.split('.');
                        $('#link_'+check[i]).empty();
                        $('.progress_bar').css({'background': '#5cb85c'}).css('width', percent+'%').html(percent+'%');
                        $('.progress_bar').html('OK');
                        if(a==check.length){
                            setTimeout(function(){
                                $('#etiquetaModal').modal("hide");
                                $('.progress_bar').css('width', 0+'%').html(0+'%');
                            },2000);
                        }
                        $('#correosLabel').html('<span id="count">'+a+' de '+check.length+'</span>');
                        $('#link_'+check[i]).append('<a href="'+etiquetasurl+response+'" target="blank"><strong>'+nroEnvio[0]+'</strong></a>');
                        $('#msg_error_'+check[i]).empty();
                    },
                    error:function(xhr){
                        var percent = Math.round((a/check.length)*100);
                        $('.progress_bar').css({'background': '#d9534f'}).css('width', percent+'%').html(percent+'%');
                        $('.progress_bar').html('error');
                            setTimeout(function(){
                                $('#etiquetaModal').modal("hide");
                                $('.progress_bar').css('width', 0+'%').html(0+'%');
                            },3500);
                            if(xhr && xhr.responseJSON && xhr.responseJSON.message){ $('#msg_error_'+check[i]).html(xhr.responseJSON.message);
                            } else { $('#msg_error_'+check[i]).html('Ocurrió un error al generar etiqueta'); }
                    },async:false            
                });
            }
        },400);       
    });
    $('#agregarPedido').on('click', function(){

        if(!$("#numero_pedido").val()){ 
            $('#alert_agregarPedido').addClass('alert-danger').removeClass('alert-success').html('Debe ingresar un pedido').show();
            return false;
        }else{
            $('#agregar_button_spinnerModal').hide();
            $('#agregar_pedidoModal').modal('hide');
            $('#agregar_alert_spinnerModal').hide();
            $('#agregar_spinnerModal').modal('show');
            $('#agregar_spinner_msg').html('Agregando Pedidos...');
            $('#agregar_spinnerLoad').show();
        }

        var orderids = $('#numero_pedido').val();
        var method = ($('#cambiarTransportista').prop('checked') ? 1 : 0);
        id = orderids.split(',');
        setTimeout(function(){
            for(var i=0; i<id.length; i++){
                $.ajax({
                    dataType: 'json',
                    type:'POST',
                    url: correoschile_url+'ajax.php',
                    data: {
                        option: "agregarPedido",
                        orderid : id[i],
                        changeMethod: method
                    },
                    success: function(response){
                        if(i == id.length-1){
                            $('#agregar_spinnerLoad').hide();
                            $('#agregar_alert_spinnerModal').addClass('alert-success').removeClass('alert-danger').html('Pedidos agregados exitosamente').show();
                            $('#agregar_button_spinnerModal').show();
                        }                        
                    },
                    error:function(xhr){
                        if (xhr && xhr.responseJSON && xhr.responseJSON.message){
                            $('#agregar_spinnerLoad').hide();
                            //$('#agregar_alert_spinnerModal').addClass('alert-danger').removeClass('alert-success').html(xhr.responseJSON.message).show();                    
                            $('#agregar_alert_spinnerModal').addClass('alert-success').removeClass('alert-danger').html('Pedidos agregados exitosamente').show();
                            $('#agregar_button_spinnerModal').show();
                        }else{
                            $('#agregar_spinnerLoad').hide();
                            //$('#agregar_alert_spinnerModal').addClass('alert-danger').removeClass('alert-success').html('Ocurrió un error agregando pedido').show();   
                            $('#agregar_alert_spinnerModal').addClass('alert-success').removeClass('alert-danger').html('Pedidos agregados exitosamente').show();
                            $('#agregar_button_spinnerModal').show();
                        }
                    },async:false     
                });                
            }
        },2000); 
        
    });
    $('#agregar_button_spinnerModal').on('click', function(){
        location.reload();
    });
    $('#accion_agregarPedido').on('click', function(){
        $('#agregar_pedidoModal').modal('show');
    });
    $('#confirmarRetiro').on('click', function(){
        $('#retiroModal').modal('show');
    });
    $('#solicitarRetiro').click(function() {
        $('#retiroModal').modal('hide');
        $('#bar_retiroModal').modal('show');
        
        $('#progressBarRetiro').html('');
        $('#progressBarRetiro').css('width', 0+'%').html(0+'%');

        var check = [];
        $('.correosCheck:checked').each(function(n){ check[n] = $(this).val(); });
        for(var i=0; i<check.length; i++){
            check.push = check[i];
        }
        setTimeout(function(){
            var hora  = $('input[name=horario]:checked').val();
            var fecha = $('#fecharetiro').val();
            $.ajax({
                url: correoschile_url+'ajax.php',
                data:{
                    option: "generarRetiro",
                    orderid: check,
                    fecharetiro: fecha,
                    horadesde: (hora === 'mañana' ? '09:00' : '15:00'),
                    horahasta: (hora === 'mañana' ? '13:00' : '17:30')
                },
                dataType: 'json',
                type:'POST',
                success: function(response){
                    var ordenes = response.ordenes;
                    var a = 1;
                    ordenes.forEach(function(orden, i){
                        $('#msg_retiro_'+check[i]).html('<p>'+response.retiro+'</p>');
                        $('#msg_error_'+check[i]).empty();
                        var percent = Math.round((a/check.length)*100);
                        $('#progressBarRetiro').css({'background': '#5cb85c'}).css('width', percent+'%').html(percent+'%');
                        a++;
                    });
                    $('#progressBarRetiro').html('Retiros registrados');
                },
                error:function(xhr){
                    var percent = 100;
                    $('#progressBarRetiro').css({'background': '#d9534f'}).css('width', percent+'%').html(percent+'%');
                    if(xhr && xhr.responseJSON && xhr.responseJSON.message){ 
                        $('#progressBarRetiro').html(xhr.responseJSON.message);
                        $('#msg_error_'+xhr.responseJSON.ordenes).html(xhr.responseJSON.message);
                    } else { 
                        $('#progressBarRetiro').html('Ocurrió un error al solicitar retiro');
                    }
                },async: false
            });
        },400);
    });
    
    $('#confirmarManifiesto').click(function() {
        
        $('#confirma_manifiestoModal').modal('hide');
        $('#bar_manifiestoModal').modal('show');

        var check = [];
        var orders = '';
        $('.correosCheck:checked').each(function(n){ check[n] = $(this).val(); });
        setTimeout(function(){
            for(var i=0; i<check.length; i++){
                if(orders !== '') orders += ',';
                orders += check[i];
            } 
            $.ajax({
                url: correoschile_url+'ajax.php',
                data:{
                    option: "generarManifiesto",
                    orderid: orders
                },
                dataType: 'json',
                type:'POST',
                beforeSend:function(){
                    
                },
                success:function(data) {
                    var percent = Math.round((1/1)*100);
                    $('#progressBarManifiesto').css({'background': '#5cb85c'}).css('width', percent+'%').html(percent+'%');
                    $('#progressBarManifiesto').html('Manifiesto generado');
                    $('#bar_abrirManifiesto').removeAttr('disabled').attr('href',manifiestosurl+data.file).show();
                },
                error: function(xhr){
                    var percent = Math.round((1/1)*100);
                    $('#progressBarManifiesto').css({'background': '#d9534f'}).css('width', percent+'%').html(percent+'%');
                    $('#progressBarManifiesto').html(xhr.responseJSON.message);
                    setTimeout(function(){
                        $('#bar_manifiestoModal').modal("hide");
                        $('#progressBarRetiro').css('width', 0+'%').html(0+'%');
                    },3500);
                },
                async: false
            });
        },400);
    });
    
    $("#comprobarDireccion").on('click', function(){
        if($('input[name=servicio_cliente]:checked').attr('id').indexOf('s1') != -1){
            $('#alert_modificaUsuario').hide();
            return false;
        }else{
            var direccion = $("#dir_cliente").val();
            var direccion_2 = $("#dir_cliente_2").val();
            var comuna = $("#lista_comunas").val();
            $.ajax({
                url: correoschile_url+'ajax.php',
                dataType: 'json',
                type: 'post',
                data: { direccion : direccion, direccion_2 : direccion_2, comuna : comuna, option : "validaDireccion" },
                success: function(data) {
                    $('#dir_cliente').val(data.Calle + ' ' + data.Numero);
                    $('#postal_cliente').val(data.CodigoPostal);
                    $('#alert_modificaUsuario').addClass('alert-success').removeClass('alert-danger').html('Dirección válida!').show();
                },
                error: function(xhr) {
                    if (xhr && xhr.responseJSON && xhr.responseJSON.message){
                        $('#alert_modificaUsuario').addClass('alert-danger').removeClass('alert-success').html(xhr.responseJSON.message).show();                    
                    }else{
                        $('#alert_modificaUsuario').addClass('alert-danger').removeClass('alert-success').html('Ocurrió un error validando la dirección').show();   
                    }
                }
            });
        }
    });

    $(function(){
        $("#tel_cliente").keydown(function(event){
            if((event. keyCode < 48 || event. keyCode > 57) && (event. keyCode < 96 || event. keyCode > 105) && event. keyCode !==190 && event. keyCode !==110 && event. keyCode !==8 && event. keyCode !==9 ){
            return false;
            }
        });
    });

    $('#actualizarDatos').on('click', function(){

        if(!$("#nombre_cliente").val()){ 
            $('#alert_modificaUsuario').addClass('alert-danger').removeClass('alert-success').html('Debe ingresar un nombre').show(); 
            return false;
        }else if(!$("#apellido_cliente").val()){ 
            $('#alert_modificaUsuario').addClass('alert-danger').removeClass('alert-success').html('Debe ingresar un apellido').show(); 
            return false;
        }else if($("#lista_sucursal").val() == 0 && $('input[name=servicio_cliente]:checked').attr('id').indexOf('s1') != -1){
            $('#alert_modificaUsuario').addClass('alert-danger').removeClass('alert-success').html('Debe seleccionar una sucursal').show(); 
            return false;
        }else{
            $('#editar_usuarioModal').modal('hide');
            $('#alert_spinnerModal').hide();
        }
        
        id = $("#id_order_cliente").val();
        nombre = $("#nombre_cliente").val();
        customer = $("#id_customer_cliente").val();
        apellido = $("#apellido_cliente").val();
        telefono = $("#tel_cliente").val();
        direccion = $("#dir_cliente").val();
        direccion_2 = $("#dir_cliente_2").val();
        comuna = $("#lista_comunas").val();
        sucursal = $('input[name=servicio_cliente]:checked').attr('id').indexOf('s1') != -1 ? $("#lista_sucursal").val() : '';
        codigo_postal = $("#postal_cliente").val();
        observaciones = $("#comentario_adicional").val();
        servicio = $("input[name=servicio_cliente]:checked").val();

        setTimeout(function(){
            $.ajax({
                url: correoschile_url+'ajax.php',
                data:{
                    option: "actualizarCliente",
                    orderid: id,
                    nombre: nombre,
                    comuna: comuna,
                    customer: customer,
                    apellido: apellido,
                    telefono: telefono,
                    direccion: direccion,
                    direccion_2: direccion_2,
                    sucursal: sucursal,
                    codigo_postal: codigo_postal,
                    observaciones: observaciones,
                    servicio: servicio
                },
                dataType: 'json',
                type:'POST',
                beforeSend:function(){
                    $('#spinnerModal').modal('show');
                    $('#spinner_msg').html('Actualizando registro...');
                    $('#spinnerLoad').show();
                },
                complete:function(){
                    $('#spinnerLoad').hide();
                },
                success:function(response){
                    $('td[data-id="'+id+'"]').html('<a href="#"><strong>'+nombre+'&nbsp;'+apellido+'</strong></a>');
                    $('#alert_spinnerModal').addClass('alert-success').removeClass('alert-danger').html(response.message).show();
                },
                error:function(xhr){
                    if (xhr && xhr.responseJSON && xhr.responseJSON.message){    
                        $('#alert_spinnerModal').addClass('alert-danger').removeClass('alert-success').html(xhr.responseJSON.message).show();
                    }else{
                        $('#alert_spinnerModal').addClass('alert-danger').removeClass('alert-success').html('Error al actualizar información...').show();
                    }
                }
            });
        },400);
    });
    
    $(document).on("click", ".user_info", function () {
        $('#spinnerUsuarioModal').show();
        $('#alert_modificaUsuario').hide();
        var id = $(this).attr('data-id');
        setTimeout(function(){
            $.ajax({
                url: correoschile_url+'ajax.php',
                data:{
                    option: "actualizaCliente",
                    orderid: id
                },
                dataType: 'json',
                type:'POST',
                success:function(response){
                    $('#nroPedido').text(response.idPedido);
                    $("#id_order_cliente").val(response.idPedido);
                    $("#id_customer_cliente").val(response.id_customer);
                    $("#nombre_cliente").val(response.firstname);
                    $("#apellido_cliente").val(response.lastname);
                    $("#dir_cliente").val(response.address1);
                    $("#dir_cliente_2").val(response.address2);
                    $("#lista_comunas").val((response.city).toUpperCase());
                    $("#lista_sucursal").val(response.nombreSucursal);
                    $("#tel_cliente").val(response.phone);
                    $("#postal_cliente").val(response.postcode);
                    $("#comentario_adicional").val(response.observacion);
                    $("input[name=servicio_cliente][value='"+response.codigoServicio+"']").prop("checked",true);

                    comportamientoAlCargarModal();
                    cargaComunas(response.city, response.nombreSucursal);
                    
                    $('#spinnerUsuarioModal').hide();
                }
            });
        },400);
    });
    
    $("#lista_comunas").change(function(){
        jQuery('#lista_sucursal').empty().append('<option value="0"> Seleccione sucursal... </option>');
        comuna_cliente = jQuery(this).val();
        $(correoschile_comunas).each(function(c, comuna){
            if(comuna.Comuna === comuna_cliente ){
                cargarSucursalesAlCambiarComuna(comuna.idComuna);
            }
        });
    });
    function cargaComunas(comunaCliente, sucursalCliente){
        jQuery('#lista_sucursal').empty().append('<option value="0"> Seleccione sucursal... </option>');
        $(correoschile_comunas).each(function(c, comuna){
            if(comuna.Comuna === comunaCliente ){
                $('#lista_comunas').append('<option value="' + comuna.Comuna + '" selected>' + comuna.Comuna + '</option>');
                cargaSucursalPorComuna(comuna.idComuna, sucursalCliente);
            }else{
                $('#lista_comunas').append('<option value="' + comuna.Comuna+ '">' + comuna.Comuna + '</option>');
            }            
        });
    }
    function cargaSucursalPorComuna(idComunaCliente, sucursalCliente){
        $(correoschile_sucursales).filter(function(s, sucursal){
            if(sucursal.idComuna === idComunaCliente){
                if(sucursal.Sucursal == sucursalCliente){
                    jQuery('#lista_sucursal').append('<option value="' + sucursal.Sucursal + '" selected>' + sucursal.Sucursal + '</option>');
                }else{
                    jQuery('#lista_sucursal').append('<option value="' + sucursal.Sucursal + '">' + sucursal.Sucursal + '</option>');
                }
            }
        });
    }
    function cargarSucursalesAlCambiarComuna(idComunaCliente){
        $(correoschile_sucursales).filter(function(s, sucursal){
            if(sucursal.idComuna === idComunaCliente){
                jQuery('#lista_sucursal').append('<option value="' + sucursal.Sucursal + '">' + sucursal.Sucursal + '</option>');
            }
        });
    }
    function comportamientoAlCargarModal(){
        if($('input[name=servicio_cliente]:checked').attr('id').indexOf('s1') != -1){
            $('#selector_sucursal').show();
            $('#dir_cliente').prop('disabled', true);
        }else{
            $('#selector_sucursal').hide();
            $('#dir_cliente').prop('disabled', false);
        }
    }
    /**Comportamiento checkboxs filtros*/
    $("#conEtiqueta").click(function(){
        if($("#conEtiqueta").val()==''){$("#conEtiqueta").val(1);}else{$("#conEtiqueta").val('');}   
    });
    $("#conRetiro").click(function(){
        if($("#conRetiro").val()==''){$("#conRetiro").val(1);}else{$("#conRetiro").val('');}
    });

    /**Comportamiento servicio seleccionado */
    $("input[name=servicio_cliente]").change(function(){
        if($('input[name=servicio_cliente]:checked').attr('id').indexOf('s1') != -1){
            $('#dir_cliente').prop('disabled', true);
            $('#selector_sucursal').show();
            cargaSucursalPorComuna();
        }else{
            $('#selector_sucursal').hide();
            $('#dir_cliente').prop('disabled', false);
        }
    });

    /**Comportamiento checkboxs pedidos*/
    $("#allCheckboxCorreos").on("click", function() {
        $(".correosCheck").prop("checked", this.checked);  
    });  
    $(".correosCheck").on("click", function() {  
        if ($(".correosCheck").length == $(".case:checked").length) {  
            $("#allCheckboxCorreos").prop("checked", true);  
        } else {  
            $("#allCheckboxCorreos").prop("checked", false);  
        }
    });
});